/transfer

Create a new bank transfer transaction

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint is similar to the create transaction endpoint, but this endpoint queues the request and returns a response instantly.

In the response, data.request.status will be either queued or created.
If the status is queued, this means that the transaction has not yet been attempted and is still in the queue.
If the status is created, this means that the transaction was created and has been (or is being) attempted. data.transaction will have a value and you should check data.transaction.status to get the transaction status (i.e. successful, failed, etc)

Body Params
string
required

Your 36-character account uuid to transfer from.

string

Recipient ID from the recipients endpoint. Use this in place of accountNumber and bankCode code if you have the recipient details.

string

10 digit nuban. If you do not have the recipientId, use this and bankCode.

string

If you do not have the recipientId, use bankCode and accountNumber.

string
required

Amount of NGN you want to send, must be a positive number.

string
required

The narration of the transaction.

string
required

Unique client reference. Only -, ., _ and alphanumeric characters allowed.

string

The name that will be displayed as the sender
Restricted feature

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json